Package co.aikar.util

# Class Counter<T>

java.lang.Object
com.google.common.collect.ForwardingObject
com.google.common.collect.ForwardingMap<T,Long>
co.aikar.util.Counter<T>

All Implemented Interfaces:
  `Map<T,Long>`

public class Counter<T> extends ForwardingMap<T,Long>

## Nested Class Summary

## Nested classes/interfaces inherited from class com.google.common.collect.ForwardingMap

`ForwardingMap.StandardEntrySet, ForwardingMap.StandardKeySet, ForwardingMap.StandardValues`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`Counter()`

## Method Summary

Modifier and Type
Method
Description
`long`
`decrement(T key)`
`long`
`decrement(T key, long amount)`
`protected @NotNull Map<T,Long>`
`delegate()`
`long`
`getCount(T key)`
`long`
`increment(T key)`
`long`
`increment(T key, long amount)`

### Methods inherited from class com.google.common.collect.ForwardingMap

`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, standardClear, standardContainsKey, standardContainsValue, standardEquals, standardHashCode, standardIsEmpty, standardPutAll, standardRemove, standardToString, values`

### Methods inherited from class com.google.common.collect.ForwardingObject

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### Counter

public Counter()

## Method Details

### decrement

public long decrement(@Nullable T key)

### increment

public long increment(@Nullable T key)

### decrement

public long decrement(@Nullable T key, long amount)

### increment

public long increment(@Nullable T key, long amount)

### getCount

public long getCount(@Nullable T key)

### delegate

@NotNull protected @NotNull Map<T,Long> delegate()

Specified by:
  `delegate` in class `ForwardingMap<T,Long>`